Subject: bug#41511: [PATCH v2] Decode group name before matching against gnus-parameters

From: Eric Abrahamsen <[email-masked]>
Date: Sun, 24 May 2020 15:04:19 -0700

Łukasz Stelmach <[email-masked]> writes:

> Group names in Gnus are stored and processed as strings of bytes
> (e.g. "Wiadomo\305\233ci-\305\233mieci") while regular expressions in
> gnus-parameters are encoded as multibyte strings (e.g. "Wiadomości-śmieci")
> and matching the latter aginst the former doesn't work. Parameters set
> for groups with non-ascii characters in their names cannot be retrieved.

Group names in Gnus have been fully decoded strings for six months or
more -- are you seeing this bug in master?